summaryrefslogtreecommitdiff
path: root/dev-python/hunter
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/hunter')
-rw-r--r--dev-python/hunter/Manifest3
-rw-r--r--dev-python/hunter/files/hunter-remove-vendored-colorama.patch34
-rw-r--r--dev-python/hunter/files/remove-setuptools_scm-upper-constraint.patch15
-rw-r--r--dev-python/hunter/hunter-3.3.8.ebuild76
-rw-r--r--dev-python/hunter/hunter-3.4.3-r1.ebuild69
-rw-r--r--dev-python/hunter/hunter-3.4.3.ebuild82
6 files changed, 70 insertions, 209 deletions
diff --git a/dev-python/hunter/Manifest b/dev-python/hunter/Manifest
index 1cbe63eeff8d..817554ec7ce1 100644
--- a/dev-python/hunter/Manifest
+++ b/dev-python/hunter/Manifest
@@ -1,2 +1 @@
-DIST hunter-3.3.8.tar.gz 536260 BLAKE2B cdb048798dd831229f3c3ff784b16f94ee45c54bc35eb29e9b228f2736c103dbc39357df82476a2b25310501d33be67474f85c2f5a97a61baca20c8dfc5a725f SHA512 4d715893c805afb5ca709f8c8ce20fbf5ec8540a06c7536862d941a5a4f45b0721f8cd3aa2eeb79c072152d243f4d0ce949431defbdc8c17831f744c3f7ff58a
-DIST hunter-3.4.3.tar.gz 538017 BLAKE2B 92ad2b653d0285059ea2f005c6ba9564f357e1ea438a0fe30087f88efa202aaa504bad65985a88484cf7178c24432ac44705098dabc2667328c71e0ee38f718c SHA512 921bb48ac5d384977908dda060e178e623eb7c1e4298cbf3c0a273cab23695f2a2a60221afb257e54cd144399d2b3b55b80ae9a2c7f71ba452894cc86112d5f7
+DIST hunter-3.4.3.gh.tar.gz 538017 BLAKE2B 92ad2b653d0285059ea2f005c6ba9564f357e1ea438a0fe30087f88efa202aaa504bad65985a88484cf7178c24432ac44705098dabc2667328c71e0ee38f718c SHA512 921bb48ac5d384977908dda060e178e623eb7c1e4298cbf3c0a273cab23695f2a2a60221afb257e54cd144399d2b3b55b80ae9a2c7f71ba452894cc86112d5f7
diff --git a/dev-python/hunter/files/hunter-remove-vendored-colorama.patch b/dev-python/hunter/files/hunter-remove-vendored-colorama.patch
deleted file mode 100644
index 1fa6342c00e3..000000000000
--- a/dev-python/hunter/files/hunter-remove-vendored-colorama.patch
+++ /dev/null
@@ -1,34 +0,0 @@
---- a/src/hunter/actions.py
-+++ b/src/hunter/actions.py
-@@ -8,6 +8,8 @@
- from itertools import islice
- from os import getpid
-
-+from colorama import AnsiToWin32
-+
- from . import config
- from .util import BUILTIN_SYMBOLS
- from .util import CALL_COLORS
-@@ -22,7 +20,6 @@
- from .util import frame_iterator
- from .util import iter_symbols
- from .util import safe_repr
--from .vendor.colorama import AnsiToWin32
-
- try:
- from threading import get_ident
---- a/src/hunter/util.py
-+++ b/src/hunter/util.py
-@@ -8,9 +8,9 @@
- from collections import defaultdict
- from collections import deque
-
-+from colorama import Back
-+from colorama import Fore
-+from colorama import Style
--from .vendor.colorama import Back
--from .vendor.colorama import Fore
--from .vendor.colorama import Style
-
- try:
- import __builtin__ as builtins
diff --git a/dev-python/hunter/files/remove-setuptools_scm-upper-constraint.patch b/dev-python/hunter/files/remove-setuptools_scm-upper-constraint.patch
deleted file mode 100644
index 5e831b9064d3..000000000000
--- a/dev-python/hunter/files/remove-setuptools_scm-upper-constraint.patch
+++ /dev/null
@@ -1,15 +0,0 @@
---- a/setup.py
-+++ b/setup.py
-@@ -163,10 +163,10 @@
- ':platform_system != "Windows"': ['manhole >= 1.5'],
- },
- setup_requires=[
-- 'setuptools_scm>=3.3.1,!=4.0.0,<6.0',
-+ 'setuptools_scm>=3.3.1',
- 'cython',
- ] if Cython else [
-- 'setuptools_scm>=3.3.1,!=4.0.0,<6.0',
-+ 'setuptools_scm>=3.3.1',
- ],
- entry_points={
- 'console_scripts': [
diff --git a/dev-python/hunter/hunter-3.3.8.ebuild b/dev-python/hunter/hunter-3.3.8.ebuild
deleted file mode 100644
index f6291de9f643..000000000000
--- a/dev-python/hunter/hunter-3.3.8.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Hunter is a flexible code tracing toolkit"
-HOMEPAGE="
- https://github.com/ionelmc/python-hunter
- https://pypi.org/project/hunter/
-"
-SRC_URI="https://github.com/ionelmc/python-${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/python-${P}"
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="dev-python/colorama[${PYTHON_USEDEP}]"
-DEPEND="dev-python/cython[${PYTHON_USEDEP}]"
-BDEPEND="
- >=dev-python/setuptools_scm-3.3.1[${PYTHON_USEDEP}]
- test? (
- dev-python/aspectlib[${PYTHON_USEDEP}]
- dev-python/ipdb[${PYTHON_USEDEP}]
- dev-python/manhole[${PYTHON_USEDEP}]
- dev-python/process-tests[${PYTHON_USEDEP}]
- dev-python/pytest-benchmark[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- )
-"
-
-DOCS=( AUTHORS.rst CHANGELOG.rst README.rst )
-PATCHES=( "${FILESDIR}/remove-setuptools_scm-upper-constraint.patch" )
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs ">=dev-python/sphinx-py3doc-enhanced-theme-2.3.2"
-
-python_compile() {
- # native extension build fails with python3.10
- # https://github.com/ionelmc/python-hunter/issues/104
- if [[ ${EPYTHON} == python3.10 ]]; then
- SETUPPY_NOEXT="yes" distutils-r1_python_compile
- return
- fi
-
- distutils-r1_python_compile
- if use test; then
- "${EPYTHON}" tests/setup.py build_ext --force --inplace || die
- fi
-}
-
-python_test() {
- local PUREPYTHONHUNTER
- local -x PYTHONPATH="${S}/tests:${BUILD_DIR}/lib:${PYTHONPATH}"
- local epytest_args=(
- --deselect tests/test_remote.py::test_gdb
- --deselect tests/test_remote.py::test_gdb_clean_exit
- --deselect tests/test_remote.py::test_manhole
- --deselect tests/test_remote.py::test_manhole_clean_exit
- )
-
- if [[ ${EPYTHON} == python3.10 ]]; then
- epytest_args+=(
- --deselect tests/test_cookbook.py::test_probe
- --deselect tests/test_tracer.py::test_perf_filter[pure]
- --deselect tests/test_tracer.py::test_perf_stdlib[pure]
- --deselect tests/test_tracer.py::test_perf_actions[pure]
- --deselect tests/test_tracer.py::test_proper_backend
- )
- PUREPYTHONHUNTER="yes"
- fi
-
- epytest "${epytest_args[@]}"
-}
diff --git a/dev-python/hunter/hunter-3.4.3-r1.ebuild b/dev-python/hunter/hunter-3.4.3-r1.ebuild
new file mode 100644
index 000000000000..102576572771
--- /dev/null
+++ b/dev-python/hunter/hunter-3.4.3-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Hunter is a flexible code tracing toolkit"
+HOMEPAGE="
+ https://github.com/ionelmc/python-hunter
+ https://pypi.org/project/hunter/
+"
+SRC_URI="https://github.com/ionelmc/python-${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/python-${P}"
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# python-hunter only works if deps are vendored (some .pth stuff)
+#RDEPEND="
+ #>=dev-python/colorama-0.4.4[${PYTHON_USEDEP}]
+ #dev-python/cymem[${PYTHON_USEDEP}]
+#"
+DEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools_scm-3.3.1[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aspectlib[${PYTHON_USEDEP}]
+ dev-python/ipdb[${PYTHON_USEDEP}]
+ dev-python/manhole[${PYTHON_USEDEP}]
+ dev-python/process-tests[${PYTHON_USEDEP}]
+ dev-python/pytest-benchmark[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ )
+" # toml is an indirect dependency (needed by ipdb)
+
+DOCS=( AUTHORS.rst CHANGELOG.rst README.rst )
+
+EPYTEST_IGNORE=( test_remote.py )
+EPYTEST_DESELECT=(
+ tests/test_tracer.py::test_source_cython
+ tests/test_tracer.py::test_fullsource_cython
+)
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs ">=dev-python/sphinx-py3doc-enhanced-theme-2.3.2"
+
+src_unpack() {
+ default
+ cp -a ${S} tests_package || die
+ mv -f tests_package/tests/setup.py tests_package || die
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ cd "${WORKDIR}"/tests_package >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+
+ cd ./tests || die
+ epytest
+}
diff --git a/dev-python/hunter/hunter-3.4.3.ebuild b/dev-python/hunter/hunter-3.4.3.ebuild
deleted file mode 100644
index 0838480e89fb..000000000000
--- a/dev-python/hunter/hunter-3.4.3.ebuild
+++ /dev/null
@@ -1,82 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Hunter is a flexible code tracing toolkit"
-HOMEPAGE="
- https://github.com/ionelmc/python-hunter
- https://pypi.org/project/hunter/
-"
-SRC_URI="https://github.com/ionelmc/python-${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/python-${P}"
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND=">=dev-python/colorama-0.4.4[${PYTHON_USEDEP}]"
-DEPEND="
- ${RDEPEND}
- dev-python/cython[${PYTHON_USEDEP}]
-"
-# toml is an indirect dependency (needed by ipdb)
-BDEPEND="
- >=dev-python/setuptools_scm-3.3.1[${PYTHON_USEDEP}]
- test? (
- dev-python/aspectlib[${PYTHON_USEDEP}]
- dev-python/ipdb[${PYTHON_USEDEP}]
- dev-python/manhole[${PYTHON_USEDEP}]
- dev-python/process-tests[${PYTHON_USEDEP}]
- dev-python/pytest-benchmark[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-
- dev-python/toml[${PYTHON_USEDEP}]
- )
-"
-
-DOCS=( AUTHORS.rst CHANGELOG.rst README.rst )
-PATCHES=( "${FILESDIR}/${PN}-remove-vendored-colorama.patch" )
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs ">=dev-python/sphinx-py3doc-enhanced-theme-2.3.2"
-
-src_prepare() {
- # remove vendored colorama
- rm -r src/hunter/vendor || die
- default
-}
-
-python_compile() {
- distutils-r1_python_compile
- if use test; then
- "${EPYTHON}" tests/setup.py build_ext --force --inplace || die
- fi
-}
-
-python_test() {
- local PUREPYTHONHUNTER
- local -x PYTHONPATH="${S}/tests:${BUILD_DIR}/lib:${PYTHONPATH}"
- local epytest_args=(
- --deselect tests/test_remote.py::test_gdb
- --deselect tests/test_remote.py::test_gdb_clean_exit
- --deselect tests/test_remote.py::test_manhole
- --deselect tests/test_remote.py::test_manhole_clean_exit
- )
-
- if [[ ${EPYTHON} == python3.10 ]]; then
- epytest_args+=(
- --deselect tests/test_cookbook.py::test_probe
- --deselect tests/test_tracer.py::test_perf_filter[pure]
- --deselect tests/test_tracer.py::test_perf_stdlib[pure]
- --deselect tests/test_tracer.py::test_perf_actions[pure]
- --deselect tests/test_tracer.py::test_proper_backend
- )
- PUREPYTHONHUNTER="yes"
- fi
-
- epytest "${epytest_args[@]}"
-}